#
# spec file for package kernel-syms
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define variant %{nil}

%include %_sourcedir/kernel-spec-macros

Name:           kernel-syms
Summary:        Kernel Symbol Versions (modversions)
Version:        3.8.1
%if %using_buildservice
Release:        0
%else
%define kernel_source_release %(LC_ALL=C rpm -q kernel-devel%variant-%version --qf "%{RELEASE}" | grep -v 'not installed' || echo 0)
Release:        %kernel_source_release
%endif
License:        GPL-2.0
Group:          Development/Sources
Url:            http://www.kernel.org/
AutoReqProv:    off
BuildRequires:  coreutils
%ifarch armv7hl
Requires:       kernel-cubox-devel = %version-%source_rel
%endif
%ifarch aarch64 armv7hl %ix86 ia64 ppc ppc64 s390x x86_64
Requires:       kernel-default-devel = %version-%source_rel
%endif
%ifarch %ix86 x86_64
Requires:       kernel-desktop-devel = %version-%source_rel
%endif
%ifarch armv7hl
Requires:       kernel-exynos-devel = %version-%source_rel
%endif
%ifarch armv7hl
Requires:       kernel-imx51-devel = %version-%source_rel
%endif
%ifarch armv7hl
Requires:       kernel-omap2plus-devel = %version-%source_rel
%endif
%ifarch %ix86
Requires:       kernel-pae-devel = %version-%source_rel
%endif
%ifarch s390
Requires:       kernel-s390-devel = %version-%source_rel
%endif
%ifarch armv7hl
Requires:       kernel-u8500-devel = %version-%source_rel
%endif
%ifarch armv5tel
Requires:       kernel-versatile-devel = %version-%source_rel
%endif
%ifarch %ix86 x86_64
Requires:       kernel-xen-devel = %version-%source_rel
%endif
Provides:       multiversion(kernel)
Provides:       %name = %version-%source_rel
Source:         README.KSYMS
Requires:       kernel-devel%variant = %version-%source_rel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 aarch64 armv5tel armv7hl ia64 ppc ppc64 s390 s390x x86_64
Prefix:         /usr/src

%description
Kernel symbols, such as functions and variables, have version
information attached to them. This package contains the symbol versions
for the standard kernels.

This package is needed for compiling kernel module packages with proper
package dependencies.


%source_timestamp
%prep

%install
install -m 644 -D %{SOURCE0} %buildroot/%_docdir/%name/README.SUSE

%files
%defattr(-, root, root)
%dir %_docdir/%name
%_docdir/%name/README.SUSE

%changelog
